Subject: Re: Darwin Day event at the Freethought Assoc. of West Michigan (MI)?

From: Jeff Seaver <[email-masked]>
Date: Sat, 22 Jan 2005 12:20:30 -0500

Hi Robert,

We have a Freethought award banquet scheduled that day which will also
feature recognition of Darwin's birthday.

Jeff 

on 1/21/05 11:09 PM, Dr. R. Stephens at [email-masked]
wrote:

> To our Darwin Day friends at the Freethought Assoc. of West Michigan (MI),
> 
> In late 2002, Arthur Jackson sent you a long email about Darwin Day.  This is
> a reminder that the project is ongoing and growing.
> 
> Did you know that Charles Darwin had prepared for a peaceful career as a
> parson-naturalist, before his rational mind encountered evidence, during the
> voyage on HMS Beagle, that lead to the conclusion that there was no need for a
> supernatural Creator of living things?  We have maps, the story, and pictures
> at http://darwinday.org/life/beagle.html.  Darwin's spirit seemed like a
> modern scientist, exploring all things and drawing conclusions from real world
> evidence.  His family and the Wedgwoods also showed a social conscience, being
> early public opponents of slavery.
> 
> You may already realize that Darwin's 200th birthday will occur on February
> 12, 2009.  You may have held events to celebrate science and humanity in
> previous years.  For those who don't know, Darwin Day Celebration is a
> nonprofit organization designed to promote an international celebration of
> Science and Humanity each year on or near Feb. 12, as we proceed towards 2009.
> Darwin and the theory of evolution are being used as symbols of scientific
> progress, and our goal is to achieve a global celebration by 2009.  Currently,
> events are being registered on our Web site for 2005.  The purpose of this
> letter is to invite you to visit our website at http://www.darwinday.org --
> and then to consider joining many others in this constructive educational
> effort.  
> 
> If you are the leader of a freethinking group, you might hold a discussion or
> talk related to Darwin and evolution.  Perhaps a comparison of how knowledge
> is obtained through traditional faith (receiving beliefs from earlier
> generations, gathering only supporting evidence, and avoiding challenges)
> versus how knowledge is obtained in science (guessing about truth expressed in
> falsifiable hypotheses, and encouraging attempts to disprove the hypotheses
> that might be untrue).  Perhaps you could recount Darwin's own evolution from
> a gentleman dabbler to a reluctant revolutionary, because the evidence he saw
> convinced him of a new truth.  Perhaps you could reflect on the likely
> consequences of the recent results of DNA sequence comparisons that show that
> all humans recently lived in Africa until about 100,000 years ago and we are
> VERY closely related.  Perhaps something about current events relating to
> Darwin's ideas, like the Georgia court's recent ruling that the schoolbooks
> cou!
>  ld not be required to have labels denigrating evolution.  Or you can develop
> your own, better, idea.
> 
> We recently revised the DarwinDay.org site to emphasize science education and
> the very HUMAN story of Darwin's life.  Our Web site offers information to
> assist you in developing ideas for a celebration event that is suitable for
> your own unique circumstances.  To sign up quickly as a supporter, register at
> http://darwinday.org/register/index.php  and to publicize your event go to
> http://darwinday.org/regevent/index.php .  If you have reason not to register
> at our site, we'd still like to hear what you are doing, so feel free to
> e-mail to us at mailto:[email-masked] .
> 
> Supporters of Darwin Day include prominent scientists, educators,
> philosophers, and writers such as: Patrick Bateson, Provost, Kings College,
> Cambridge; Edward O. Wilson, Harvard University; Richard Dawkins, Oxford
> University; Daniel C. Dennett, Tufts University; Steven Pinker, Harvard
> University; Helena Cronin, London School of Economics; Eugenie Scott, National
> Center for Science Education; Steve Jones, Univ. College London; and many
> others.  We encourage you to join them and become an enthusiastic participant
> in this project. 
> 
> 
> Sincerely yours, 
> 
> Robert J. (Bob) Stephens, Ph. D.
> Emeritus Director, Cell Biology Program,
> SRI International, formerly Stanford Research Institute.
> Chairman of the Board, Darwin Day Celebration, a nonprofit corporation
> http://darwinday.org
> 
> P.S. If you do not want to receive additional e-mail from Darwin Day
> Celebration, simply reply to this e-mail at [email-masked].